<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Under Water Drone: Dokumentacja pliku scene.hh</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Under Water Drone
   &#160;<span id="projectnumber">0.1</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.8.17 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',false,false,'search.php','Szukaj');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('d5/dd8/scene_8hh.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#nested-classes">Komponenty</a>  </div>
  <div class="headertitle">
<div class="title">Dokumentacja pliku scene.hh</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;fstream&gt;</code><br />
<code>#include &lt;string&gt;</code><br />
<code>#include &quot;<a class="el" href="../../d8/d35/gnuplot__link_8hh_source.html">gnuplot_link.hh</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="../../d9/d7f/bottom_surface_8hh_source.html">bottomSurface.hh</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="../../da/dcb/drone_8hh_source.html">drone.hh</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="../../d2/d9a/water_surface_8hh_source.html">waterSurface.hh</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Wykres zależności załączania dla scene.hh:</div>
<div class="dyncontent">
<div class="center"><img src="../../d7/d2e/scene_8hh__incl.png" border="0" usemap="#scene_8hh" alt=""/></div>
<map name="scene_8hh" id="scene_8hh">
<area shape="rect" title=" " alt="" coords="235,5,315,32"/>
<area shape="rect" title=" " alt="" coords="5,80,79,107"/>
<area shape="rect" title=" " alt="" coords="266,304,325,331"/>
<area shape="rect" href="../../d8/d35/gnuplot__link_8hh.html" title=" " alt="" coords="173,155,295,181"/>
<area shape="rect" href="../../d9/d7f/bottom_surface_8hh.html" title=" " alt="" coords="486,155,625,181"/>
<area shape="rect" href="../../da/dcb/drone_8hh.html" title=" " alt="" coords="276,80,355,107"/>
<area shape="rect" href="../../d2/d9a/water_surface_8hh.html" title=" " alt="" coords="381,80,509,107"/>
<area shape="rect" title=" " alt="" coords="154,229,197,256"/>
<area shape="rect" title=" " alt="" coords="272,229,335,256"/>
<area shape="rect" href="../../da/dad/shape_8hh.html" title=" " alt="" coords="512,229,593,256"/>
<area shape="rect" href="../../db/d1b/_matrix_8hh.html" title=" " alt="" coords="512,304,596,331"/>
<area shape="rect" href="../../dc/dca/_vector_8hh.html" title=" " alt="" coords="433,379,515,405"/>
<area shape="rect" title=" " alt="" coords="591,379,653,405"/>
<area shape="rect" title=" " alt="" coords="473,453,553,480"/>
<area shape="rect" href="../../d9/dae/cuboid_8hh.html" title=" " alt="" coords="326,155,411,181"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
Ten wykres pokazuje, które pliki bezpośrednio lub pośrednio załączają ten plik:</div>
<div class="dyncontent">
<div class="center"><img src="../../dc/d75/scene_8hh__dep__incl.png" border="0" usemap="#scene_8hhdep" alt=""/></div>
<map name="scene_8hhdep" id="scene_8hhdep">
<area shape="rect" title=" " alt="" coords="61,5,141,32"/>
<area shape="rect" href="../../df/d0a/main_8cpp.html" title=" " alt="" coords="5,80,88,107"/>
<area shape="rect" href="../../da/d33/scene_8cpp.html" title=" " alt="" coords="113,80,199,107"/>
</map>
</div>
</div>
<p><a href="../../d5/dd8/scene_8hh_source.html">Idź do kodu źródłowego tego pliku.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Komponenty</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/db5/class_scene.html">Scene</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Modeluje pojęcie sceny.  <a href="../../d6/db5/class_scene.html#details">Więcej...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_167790342fb55959539d550b874be046.html">project</a></li><li class="navelem"><a class="el" href="../../dir_0e6a83f483eb86bac30676662de98147.html">inc</a></li><li class="navelem"><a class="el" href="../../d5/dd8/scene_8hh.html">scene.hh</a></li>
    <li class="footer">Wygenerowano przez
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
